=== debian/control ===
Source: ros-galactic-ament-flake8
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ament-flake8
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-flake8, ros-galactic-ament-lint, ros-galactic-ros-workspace
Description: The ability to check code for style and syntax conventions with flake8.
